Skip to main content
POST
/
v1
/
subscriber-imports
Bulk import subscribers
curl --request POST \
  --url https://api.xoxo.email/v1/subscriber-imports \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "subscribers": "<array>",
  "tag_ids": "<array>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "pending",
  "file_name": "<string>",
  "total_count": 123,
  "created_count": 123,
  "updated_count": 123,
  "skipped_count": 123,
  "error_message": "<string>",
  "completed_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://help.xoxo.email/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API token. Pass as Authorization: Bearer <token>.

Body

application/json
subscribers
array
tag_ids
array

Response

Success

id
string<uuid>
required
status
enum<string>
required
Available options:
pending,
processing,
completed,
failed
file_name
string | null
required
total_count
integer
required
created_count
integer
required
updated_count
integer
required
skipped_count
integer
required
error_message
string | null
required
completed_at
string<date-time> | null
required
created_at
string<date-time>
required